> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.ipxo.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Payout Invoice Statistics (v2)

> IP Market Payout Invoice Statistics with detailed breakdown. Add pagination params for table view.



## OpenAPI

````yaml openapi/billing.yaml get /v1/{tenantUUID}/market/payouts/stats/v2
openapi: 3.0.1
info:
  title: Billing API
  description: ''
  version: '1.0'
servers:
  - url: https://apigw.ipxo.com/billing
security:
  - bearerAuth: []
paths:
  /v1/{tenantUUID}/market/payouts/stats/v2:
    get:
      tags:
        - Payouts
      summary: Get Payout Invoice Statistics (v2)
      description: >-
        IP Market Payout Invoice Statistics with detailed breakdown. Add
        pagination params for table view.
      operationId: API-Pub-IPmarket-Payouts-StatsV2
      parameters:
        - name: tenantUUID
          in: path
          description: Tenant UUID
          required: true
          schema:
            $ref: '#/components/schemas/UUID'
        - name: period_start_date
          in: query
          description: Filter by start period in YYYY-MM-DD format (e.g., 2025-01-15)
          schema:
            pattern: ^\d{4}-\d{2}-\d{2}$
            type: string
        - name: period_end_date
          in: query
          description: Filter by end period in YYYY-MM-DD format (e.g., 2025-03-31)
          schema:
            pattern: ^\d{4}-\d{2}-\d{2}$
            type: string
        - name: status
          in: query
          description: Filter by payout invoice status
          schema:
            enum:
              - unpaid
              - paid
            type: string
        - name: sort
          in: query
          description: >-
            Sort field (prefix with - for descending, e.g., -date_paid).
            Optional, only used with pagination.
          schema:
            type: string
        - name: page
          in: query
          description: >-
            Page number for pagination. When provided, response will be
            paginated.
          schema:
            minimum: 1
            type: integer
        - name: per_page
          in: query
          description: >-
            Items per page (default: 15, max: 100). Only used when page is
            provided.
          schema:
            maximum: 100
            minimum: 1
            type: integer
      responses:
        '200':
          description: Payout Invoice Statistics
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/API.Pub.Resources.IPMarket.PayoutInvoiceStatsResource
              example:
                period:
                  from: string
                  to: string
                data:
                  - invoice_uuid: string
                    invoice_number: string
                    period: string
                    payout_date: 0
                    payout_status: processing
                    ips_count: 0
                    average_ip_sale: 0
                    total_sales: 0
                    lessee_gross: 0
                    average_net_per_ip: 0
                    transaction_fee: 0
                    holder_fee: 0
                    deductions: 0
                    net_payout: 0
                    payment_confirmation_uuid: string
                    payment_confirmation_number: string
                meta:
                  current_page: 0
                  per_page: 0
                  total: 0
                  last_page: 0
                  from: 0
                  to: 0
                total_sales: 0
                total_net_payout: 0
        '400':
          description: Invalid Request
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
components:
  schemas:
    UUID:
      pattern: >-
        ^[a-zA-Z0-9]{8}\-[a-zA-Z0-9]{4}\-[a-zA-Z0-9]{4}\-[a-zA-Z0-9]{4}\-[a-zA-Z0-9]{12}$
      type: string
      description: UUID
    API.Pub.Resources.IPMarket.PayoutInvoiceStatsResource:
      type: object
      properties:
        period:
          type: object
          properties:
            from:
              type: string
              description: starting date in YYYY-MM-DD format
              nullable: true
            to:
              type: string
              description: ending date in YYYY-MM-DD format
              nullable: true
          description: Statistics period
        data:
          type: array
          items:
            type: object
            properties:
              invoice_uuid:
                type: string
                description: Invoice UUID
              invoice_number:
                type: string
                description: Invoice number
              period:
                type: string
                description: Period in Y-m-d format
              payout_date:
                type: integer
                description: Payout date timestamp
                nullable: true
              payout_status:
                enum:
                  - processing
                  - paid
                type: string
                description: Payout status
              ips_count:
                type: integer
                description: Number of IPs leased
              average_ip_sale:
                type: number
                description: Average sale per IP
                format: float
              total_sales:
                type: number
                description: Total sales (gross)
                format: float
              lessee_gross:
                type: number
                description: Gross amount paid by lessee (total_sales + commission)
                format: float
              average_net_per_ip:
                type: number
                description: Average net payout per IP
                format: float
              transaction_fee:
                type: number
                description: Transaction fee
                format: float
                nullable: true
              holder_fee:
                type: number
                description: 5% holder fee
                format: float
              deductions:
                type: number
                description: Other deductions
                format: float
              net_payout:
                type: number
                description: Net payout amount
                format: float
              payment_confirmation_uuid:
                type: string
                description: Payment confirmation UUID
                format: uuid
                nullable: true
              payment_confirmation_number:
                type: string
                description: Payment confirmation invoice number
                nullable: true
        meta:
          type: object
          properties:
            current_page:
              type: integer
            per_page:
              type: integer
            total:
              type: integer
            last_page:
              type: integer
            from:
              type: integer
              nullable: true
            to:
              type: integer
              nullable: true
          description: Pagination metadata (only present when pagination is requested)
          nullable: true
        total_sales:
          type: number
          description: >-
            Total sales (for all filtered data, not just current page when
            paginated)
          format: float
        total_net_payout:
          type: number
          description: >-
            Total net payout (for all filtered data, not just current page when
            paginated)
          format: float
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````